//             TECHNOLOGICAL ARTS
//              +1(416) 963-8996 
//	        www.technologicalarts.ca
#ifndef _STEPPER_h
#define _STEPPER_h


#define delay 800000
#define DELAY 4000
#define FORWARD 1
#define REVERSE 0
#define FULL 0
#define HALF 1

#define Enable()      PTT_PTT2=1
#define Disable()     PTT_PTT2=0

#define Direction(b)  PTT_PTT7=b
#define Step(a)       PTT_PTT5=a
#define Speed(c)      MCCNT=c

void Sync(void);
void Reset(void);
void stepper_init(void);
void PLL_Init(void);
void PORT_Init(void);
void Delay(unsigned long constant);
void ModulusDown_Init(void);
#endif